<template>
  <el-dialog
    width="40%"
    top="5vh"
    title="工艺路线"
    :visible.sync="innerVisible"
    append-to-body
    @close="$emit('update:currshowlist', false)"
    :show="currshowlist"
    class="technology-routing-dialog"
  >
    <div class="app-container">
      <div class="avue-crud">
        <el-table
          ref="multipleTable"
          :data="technologyRoutingList"
          tooltip-effect="dark"
          style="width: 100%"
          @selection-change="handleSelectionChange"
        >
          <el-table-column type="selection" width="55"> </el-table-column>
          <el-table-column prop="routingNo" label="工艺路线编号" width="120">
          </el-table-column>
          <el-table-column prop="partNo" label="零件编号" width="120">
          </el-table-column>
          <el-table-column
            prop="partName"
            label="零件名称"
            show-overflow-tooltip
          >
          </el-table-column>
          <el-table-column prop="createTime" label="创建时间">
          </el-table-column>
        </el-table>
      </div>
    </div>
    <div slot="footer" class="dialog-footer">
      <el-button @click="innerVisible = false">取 消</el-button>
      <el-button
        type="primary"
        :disabled="isSubmit"
        v-thinclick="`selectRouting`"
        >确 定</el-button
      >
    </div>
  </el-dialog>
</template>
<script>
export default {
  props: {
    currshowlist: {
      type: Boolean,
      default: false
    },
    technologyRoutingList: {
      type: Array,
      default: () => {
        return []
      }
    }
  },
  data() {
    return {
      innerVisible: false,
      isSubmit: false,
      multipleSelection: []
    }
  },
  created() {},
  methods: {
    handleSelectionChange(val) {
      this.multipleSelection = val
    },
    selectRouting() {
      this.isSubmit = true
      this.innerVisible = false
      this.$emit('handleSelectionChange', this.multipleSelection)
      this.isSubmit = false
    }
  },
  watch: {
    currshowlist() {
      this.innerVisible = this.currshowlist
      if (this.currshowlist) {
        this.$nextTick(() => {
          //
        })
      }
    }
  },
  mounted() {}
}
</script>
<style scoped>
.technology-routing-dialog >>> .el-dialog__body {
  padding: 10px 20px 10px 20px;
}
</style>
